Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type.access
Class DiagramXMLTransformer

    ru.biosoft.access.AbstractTransformer
      |
      +--biouml.standard.type.access.DiagramXMLTransformer

public class DiagramXMLTransformer
extends AbstractTransformer

Method Summary
`Class` | `getInputType()` Return class of input data element.
`Class` | `getOutputType()` Return class of output data element.
`DataElement` | `transformInput(DataElement input)` Transform input data element to output data element.
`DataElement` | `transformOutput(DataElement output)` Transform output data element to input data element.

Methods inherited from class ru.biosoft.access.AbstractTransformer
`getPrimaryCollection, getTransformedCollection, init, isInputType, isOutputType`

Method Detail

### getInputType

    public Class getInputType()

  Return class of input data element. Input data element stored in primary data collection.
  Returns: Class of input data element.

### getOutputType

    public Class getOutputType()

  Return class of output data element. Output data element stored in transformed data collection.
  Returns: Class of output data element.

### transformInput

    public DataElement transformInput(DataElement input)
                                throws java.lang.Exception

  Transform input data element to output data element.
  Returns: Transformed data element.
  Throws:
    Exception - If error occured.

### transformOutput

    public DataElement transformOutput(DataElement output)
                                 throws java.lang.Exception

  Transform output data element to input data element.
  Returns: Primary data element.
  Throws:
    Exception - If error occured.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM